GET api/particlecounterapi/particlecounter/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"anatype_id": "ffa4f766-13de-406a-b002-407c9f27851b",
"cleanroom_id": "22ae3366-3bfa-4ff6-a3c2-c3d95347a46f",
"description": "sample string 3",
"id": "fc6a2dbe-b6bc-46b8-88c7-fad5033771f0",
"ip_address": "sample string 5",
"particle_counter_type_id": "4bb7fb08-8dfa-46e8-9719-b36577207eed",
"site_id": "0b217b13-7e96-427c-8d8a-ba58763e9bdb"
}
application/xml, text/xml
Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <anatype_id>ffa4f766-13de-406a-b002-407c9f27851b</anatype_id> <cleanroom_id>22ae3366-3bfa-4ff6-a3c2-c3d95347a46f</cleanroom_id> <description>sample string 3</description> <id>fc6a2dbe-b6bc-46b8-88c7-fad5033771f0</id> <ip_address>sample string 5</ip_address> <particle_counter_type_id>4bb7fb08-8dfa-46e8-9719-b36577207eed</particle_counter_type_id> <site_id>0b217b13-7e96-427c-8d8a-ba58763e9bdb</site_id> </particle_counter>